#ifndef CHARACTER_H
#define CHARACTER_H

#include <QList>
#include <QFile>

using namespace std;

class Character{
private:
    QString nom;
    int age;
    QString race;
    QString classe;
    int niveau;
    QString sexe;
    float taille;
    QList<int> skills;
    QList<int> skillsMod;
    QList<int> stats;
    int vie;
    QString image;

public:
    Character();
    Character(QFile *file);

    QString getImage(){return image;}
    QString getNom(){return nom;}
    int getAge(){return age;}
    QString getRace(){return race;}
    QString getClasse(){return classe;}
    int getNiveau(){return niveau;}
    QString getSexe(){return sexe;}
    float getTaille(){return taille;}
    QList<int> getSkills(){return skills;}
    QList<int> getSkillsMod(){return skillsMod;}
    QList<int> getStats(){return stats;}
    int getVie(){return vie;}

};

#endif // CHARACTER_H
